Subject: Re: [PATCH v2 1/4] Add platform support for AmigaOne

From: "Gerhard Pircher" <[email-masked]>
Date: Wed, 04 Feb 2009 22:35:31 +0100

-------- Original-Nachricht --------
> Datum: Wed, 4 Feb 2009 21:59:41 +0100
> Von: Gabriel Paubert <[email-masked]>
> An: Benjamin Herrenschmidt <[email-masked]>
> CC: Gerhard Pircher <[email-masked]>, linuxppc-dev list <[email-masked]>
> Betreff: Re: [PATCH v2 1/4] Add platform support for AmigaOne

> On Wed, Feb 04, 2009 at 02:50:07PM +1100, Benjamin Herrenschmidt wrote:
> > 
> > > + hose->first_busno = bus_range ? bus_range[0] : 0;
> > > + hose->last_busno = bus_range ? bus_range[1] : 0xff;
> > > +
> > > + setup_indirect_pci(hose, 0xfec00cf8, 0xfee00cfc, 0);
> > 
> > Minor in the context of amigaone but still... the above should come
> > from the device-tree... I suppose those are really just IO space
> > addresses cf8 and cfc, in which case, an option is to call that first:
> 
> Hmm, the first is feC...,the other one feE..., 2Mbytes apart.
> 
> I don't know the hardware but I've never seen something like that.
> Of course a typo is always a possibility...
The Pegasos 1 uses the same northbridge and chrp_find_bridges() calls
setup_indirect_pci() with the same addresses.

Gerhard

-- 
Jetzt 1 Monat kostenlos! GMX FreeDSL - Telefonanschluss + DSL 
für nur 17,95 Euro/mtl.!* http://dsl.gmx.de/?ac=OM.AD.PD003K11308T4569a